/******************************************************************************
 * This file was generated by langium-cli 1.1.0.
 * DO NOT EDIT MANUALLY!
 ******************************************************************************/

import { LangiumGeneratedServices, LangiumGeneratedSharedServices, LangiumSharedServices, LangiumServices, LanguageMetaData, Module } from 'langium';
import { BlackDogAstReflection } from './ast';
import { BlackDogGrammar } from './grammar';

export const BlackDogLanguageMetaData: LanguageMetaData = {
    languageId: 'black-dog',
    fileExtensions: ['.blackdog'],
    caseInsensitive: false
};

export const BlackDogGeneratedSharedModule: Module<LangiumSharedServices, LangiumGeneratedSharedServices> = {
    AstReflection: () => new BlackDogAstReflection()
};

export const BlackDogGeneratedModule: Module<LangiumServices, LangiumGeneratedServices> = {
    Grammar: () => BlackDogGrammar(),
    LanguageMetaData: () => BlackDogLanguageMetaData,
    parser: {}
};
